#if !defined(AFX_APLMGRPRGSDLG_H__836F7E91_3300_4210_92D6_3521B5418BFB__INCLUDED_)
#define AFX_APLMGRPRGSDLG_H__836F7E91_3300_4210_92D6_3521B5418BFB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplMgrPrgsDlg.h : header file
//

class CaplExternalSender;

/////////////////////////////////////////////////////////////////////////////
// CaplMgrPrgsDlg dialog

class CaplMgrPrgsDlg : public CaplTranslateDialog
{
// Construction
public:
	CaplMgrPrgsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CaplMgrPrgsDlg)
	enum { IDD = IDD_PRGS_DLG };
	CProgressCtrl	m_prgs;
	CStatic	m_text;
	//}}AFX_DATA

	void SetText(const TCHAR *txt){m_text.SetWindowText(txt);Repaint();}
	void SetRange(long range){m_prgs.SetRange32(0,range);Repaint();}
	void SetPos(long pos){m_prgs.SetPos(pos);Repaint();}
	void SetRange(long pos,long max_pos){m_prgs.SetRange32(pos,max_pos);Repaint();}
	void Repaint();

	CaplExternalSender* m_ext_sender;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplMgrPrgsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CaplMgrPrgsDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLMGRPRGSDLG_H__836F7E91_3300_4210_92D6_3521B5418BFB__INCLUDED_)
